<?php
/*
Plugin Name: Bauen Plugin
Plugin URI: https://webredox.net
Description: Declares a plugin that will create Page Settings, Elementor Widgets, VC addons & Custom Post Type
Version: 7.9.1
Author: webRedox
Author URI: https://webredox.net
License: GPLv2
*/
define('BAUEN_VERSION', '7.9.1');
define('BAUEN_PLUGIN_PATH',		plugin_dir_path(__FILE__));
define('BAUEN_URL', plugins_url('', __FILE__));
function bauen_register_plugin_update() {
	require (BAUEN_PLUGIN_PATH .'/plugin-update-checker/plugin-update-checker.php');
	$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
	'https://webredox.net/demo/wp/bauen/pluginupdate/details.json',
	__FILE__, //Full path to the main plugin file or functions.php.
	'bauen-plugin'
	);
}
function bauen_register_metabox_list() {
	include (BAUEN_PLUGIN_PATH .'metaboxes.php');
}
function bauen_register_elementor() {
	include (BAUEN_PLUGIN_PATH .'elmentor-widgets.php');
}
add_action('init', 'bauen_register_plugin_update');
add_action('init', 'bauen_register_metabox_list');
add_action('plugins_loaded', 'bauen_register_elementor');
include (BAUEN_PLUGIN_PATH .'meta-box-group.php');
include (BAUEN_PLUGIN_PATH .'meta-box-conditional-logic.php');
function bauen_unregister_elementor() {
	include (BAUEN_PLUGIN_PATH .'elmentor-bn-widgets.php');
}
add_action('init', 'bauen_unregister_elementor');
include (BAUEN_PLUGIN_PATH .'mb-term-meta.php');
include (BAUEN_PLUGIN_PATH .'bauen-post-order.php');
include (BAUEN_PLUGIN_PATH .'meta-box-tooltip.php');
include (BAUEN_PLUGIN_PATH .'meta-box-show-hide.php');
include (BAUEN_PLUGIN_PATH .'page-links-to.php');

global $bauen_options;

$bauen_options = get_option('bauen');
if( ! function_exists( 'portfolio_post_types' ) ) {
    function portfolio_post_types() {
		$bauen_options = get_option('bauen');
		//portfolio dt base
		if(!empty($bauen_options['portfolio_main_base_opt'])) {
			if (class_exists('Bauen_AfterSetupTheme')) {
			$bauen_port_main_base = esc_html(Bauen_AfterSetupTheme::return_thme_option('portfolio_main_base_opt',''));
			}
			else{$bauen_port_main_base ='';}
		}
		else {
			$bauen_port_main_base ='portfolio';
		};
        register_post_type(
            'portfolio',
            array(
                'labels' => array(
                    'name'          => __( 'Portfolios', 'portfolio' ),
                    'singular_name' => __( 'Portfolio', 'portfolio' ),
                    'add_new'       => __( 'Add New', 'portfolio' ),
                    'add_new_item'  => __( 'Add New Portfolio', 'portfolio' ),
                    'edit'          => __( 'Edit', 'portfolio' ),
                    'edit_item'     => __( 'Edit Portfolio', 'portfolio' ),
                    'new_item'      => __( 'New Portfolio', 'portfolio' ),
                    'view'          => __( 'View Portfolio', 'portfolio' ),
                    'view_item'     => __( 'View Portfolio', 'portfolio' ),
                    'search_items'  => __( 'Search Portfolio', 'portfolio' ),
                    'not_found'     => __( 'No Portfolio item found', 'portfolio' ),
                    'not_found_in_trash' => __( 'No portfolio item found in Trash', 'portfolio' ),
                    'parent'        => __( 'Parent Portfolio', 'portfolio' ),
                ),
                
                'description'       => __( 'Create a Portfolio.', 'portfolio' ),
                'public'            => true,
                'show_ui'           => true,
                'show_in_menu'          => true,
				'show_in_nav_menus' => true,
                'publicly_queryable'    => true,
				'capability_type' => 'post',
                'exclude_from_search'   => true,
                'menu_position'         => 6,
                'hierarchical'      => false,
                'query_var'         => true,
				'rewrite' => array(
                'slug' => $bauen_port_main_base
				),
				'menu_icon' => 'dashicons-portfolio',
                'supports'  => array (
                    'title', //Text input field to create a post title.
                    'editor',
                    'thumbnail',
                    
                )
            )
        );
//portfolio
if(!empty($bauen_options['portfolio_category_base_opt'])) {
	if (class_exists('Bauen_AfterSetupTheme')) {
	$bauen_port_cat_base = esc_html(Bauen_AfterSetupTheme::return_thme_option('portfolio_category_base_opt',''));
	}
	else{$bauen_port_cat_base ='';}
}
else {
	$bauen_port_cat_base ='portfolio_category';
};
register_taxonomy('portfolio_category', 'portfolio', array('hierarchical' => true, 'label' => 'Portfolio Category', 'singular_name' => 'Portfolio Category', "rewrite" => array('slug' =>  $bauen_port_cat_base,'with_front' => true), "query_var" => true, 'show_admin_column' => true, 'labels' => ['all_items' => __('All Categories', 'bauen-plugin'),'edit_item' => __('Edit Category', 'bauen-plugin'),'view_item' => __('View Category', 'bauen-plugin'),'update_item' => __('Update Category', 'bauen-plugin'),'add_new_item' => __('Add New Category', 'bauen-plugin'),'new_item_name' => __('New Category Name', 'bauen-plugin'),'search_items' => __('Search Categories', 'bauen-plugin'),'popular_items' => __('Popular Categories', 'bauen-plugin'),'separate_items_with_commas' => __('Separate Category with comma', 'bauen-plugin'), 'choose_from_most_used' => __('Choose from most used Categories', 'bauen-plugin'),'not_found' => __('No Categories found', 'bauen-plugin'),]));

}
}

add_action( 'init', 'portfolio_post_types' ); // register post type

register_taxonomy_for_object_type('category', 'custom-type');



add_filter('widget_title', 'do_shortcode');
add_shortcode('span', 'wpse_shortcode_span');
function wpse_shortcode_span( $attr, $content ){ return '<span class="text-color-red">'. $content . '</span>'; }
add_shortcode('br', 'wpse_shortcode_br');
function wpse_shortcode_br( $attr ){ return '<br>'; }
add_shortcode('i', 'wpse_shortcode_i');
function wpse_shortcode_i( $attr, $content){ return '<i class="'. $content . '"></i> '; }
/* ==========================================
   Add featured image column to admin panel post list page
========================================== */
add_filter('manage_posts_columns', 'add_img_column');
add_filter('manage_posts_custom_column', 'manage_img_column', 10, 2);

function add_img_column($columns) {
	$columns['img'] = 'Thumbnail';
	return $columns;
}

function manage_img_column($column_name, $post_id) {
	if( $column_name == 'img' ) {
		echo get_the_post_thumbnail( $post_id, array( 80, 60) ); return true; // 80, 60 is for image size.
	}
}

// Change columns order
add_filter('manage_posts_columns', 'column_order');
function column_order($columns) {
  $n_columns = array();
  $move = 'img'; // what to move
  $before = 'title'; // move before this
  foreach($columns as $key => $value) {
    if ($key==$before){
      $n_columns[$move] = $move;
    }
      $n_columns[$key] = $value;
  }
  return $n_columns;
}

function bauen_year_shortcode() {
  $bauen_year = date('Y');
  return $bauen_year;
}
add_shortcode('bauen_year', 'bauen_year_shortcode');
/**
*
*
*
 * Allow shortcodes in widgets
 * @since v1.0
 */
add_filter('widget_text', 'do_shortcode');

if( !function_exists('symple_fix_shortcodes') ) {
	function symple_fix_shortcodes($content){   
		$array = array (
			'<p>['		=> '[', 
			']</p>'		=> ']', 
			']<br />'	=> ']'
		);
		$content = strtr($content, $array);
		return $content;
	}
	add_filter('the_content', 'symple_fix_shortcodes');
}

// Blog Section 
if(! function_exists('wr_vc_blog_shortcode')){
	function wr_vc_blog_shortcode($atts, $content = null){
		extract(shortcode_atts( array(
			'class'=>'',
            'categoryname'=>'',
            'showpost'=>'',	
		    'blog_speed'=>'1500',				
    	    'blog_autoplay'=>'false',				
			'tag'=>'5',	
			'slider_nav'=>'false',				
    	    'slider_pagination'=>'true',			
    	    'image_resize'=>'',			
	    ), $atts) );			
	$html='';	


	$html .= '<div class="sec-blog bauen-blog '.esc_attr($class).'">';	
	    $html .='<div class="owl-carousel owl-theme" data-blog-autoplay="'.$blog_autoplay.'" data-blog-speed="'.$blog_speed.'" data-projects-nav="'.esc_attr($slider_nav).'" data-projects-dots="'.esc_attr($slider_pagination).'">';
		
		global $post;
		$paged=(get_query_var('paged'))?get_query_var('paged'):1;
		$loop = new WP_Query( array( 'post_type' => 'post','category_name'=> $categoryname, 'posts_per_page'=> $showpost) ); while ( $loop->have_posts() ) : $loop->the_post();			
			if (has_post_thumbnail( $post->ID ) ):		
			$bauen_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'bauen_blog_image' );
			$bauen_image_full = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
			$bauen_image_alt = get_post_meta( get_post_thumbnail_id( $post->ID ), '_wp_attachment_image_alt', true);				
				$html .= '<div class="item">';
					
					if($image_resize == "st2"){
					$html .='<div class="position-re o-hidden">';
					$html .='<a href="'.get_the_permalink().'" >';
					$html .='<img src="'.esc_url($bauen_image[0]).'" alt="'.esc_attr($bauen_image_alt).'" />';	
					$html .= '</a>';
					$html .= '</div>';
					} else {
					$html .='<div class="position-re o-hidden position-re-order-blog-carousel">';	
					$html .='<a href="'.get_the_permalink().'" class="cd-pt-ab">';
					$html .='<img src="'.esc_url($bauen_image[0]).'" alt="'.esc_attr($bauen_image_alt).'" />';
					$html .= '</a>';
					$html .= '</div>';
					}
                    					
					
				    $html .='<div class="con">';
						$html .= '<span class="category">'.get_the_category_list(', ').' - '.get_the_date( get_option( 'date_format' ) ).'</span>';
						$html .= '<h'.esc_attr($tag).'><a href="'.get_the_permalink().'">'.get_the_title().'</a></h'.esc_attr($tag).'>';							
					$html .= '</div>';											
				$html .= '</div>';					
				
			endif;			
		endwhile;
		wp_reset_postdata();

	    $html .='</div>';
	$html .='</div>';
	wp_enqueue_script('owl-carousel');
    wp_enqueue_script('bauen-post-carousel');
	
    return $html;		         				
	}
	add_shortcode('wr_vc_blog', 'wr_vc_blog_shortcode');
}

// Protfolio Section 
 if(! function_exists('wr_vc_portfolio_body_shortcode')){
	function wr_vc_portfolio_body_shortcode($atts, $content = null){
		extract(shortcode_atts( array(
			'class'=>'',	
			'postcount'=>'',
			'categoryname'=>'',
			'tag'=>'5',
			'postoffset'=>'',
			'featyretype'=>'',						
			'col_size'=>'6',							
			'animate'=>'6',							
			'post_pagination'=>'',
			'post_show_before_loadmore'=>'4',
			'load_btn_text_translate'=>'Load More',
			'projects_speed'=>'1500',				
    	    'projects_autoplay'=>'false',				
    	    'slider_nav'=>'false',				
    	    'slider_pagination'=>'true',				
    	    'image_resize'=>'',			
    	    'enable_filter'=>'',			
    	    'port_filter_cat_count'=>'',			
    	    'port_filter_cat_exclude'=>'',			
    	    'text_filter'=>'All Project',			
    	    'grid_style'=>'',			
			
			), $atts) );
		$html='';

		if($animate == "yes"){ 
			$bauen_animate_start = '<div class="animate-box" data-animate-effect="fadeInUp">';
			$bauen_animate_end = '</div>';
		} else {
			$bauen_animate_start="";
			$bauen_animate_end="";		
		}	
		
	$html .= '<div class="sec-portfolio projects '.esc_attr($class).'">';
	
	    if($featyretype == "st2"){
					
			$html .= '<div class="owl-carousel owl-theme" data-projects-autoplay="'.$projects_autoplay.'" data-projects-speed="'.$projects_speed.'" data-projects-nav="'.esc_attr($slider_nav).'" data-projects-dots="'.esc_attr($slider_pagination).'">';
			global $post;			
			$paged=(get_query_var('paged'))?get_query_var('paged'):1;
			$loop = new WP_Query( array( 'post_type' => 'portfolio', 'portfolio_category'=> $categoryname, 'posts_per_page'=> $postcount, 'offset' => $postoffset, 'paged'=>$paged ) );			
			while ( $loop->have_posts() ) : $loop->the_post();
			
			$bauen_portfolio_image_size = ""; 
			$portfolio_category = wp_get_post_terms($post->ID,'portfolio_category');
			$bauen_class = ""; 
			$bauen_categories = ""; 
			foreach ($portfolio_category as $bauen_item) {
				$bauen_class.=esc_attr($bauen_item->slug . ' ');
				$bauen_categories.='<span class="cat-divider">';
				$bauen_categories.=esc_attr($bauen_item->name . '  ');
				$bauen_categories.='</span>';
			}	
				if (has_post_thumbnail( $post->ID ) ):		
					$bauen_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
					$bauen_image_alt = get_post_meta( get_post_thumbnail_id( $post->ID ), '_wp_attachment_image_alt', true);
				
				$html .= '<div class="item position-re-block">';
					
					if($image_resize == "st2"){
					$html .='<div class="position-re o-hidden">';
					$html .='<img src="'.esc_url($bauen_image[0]).'" class="test" alt="'.esc_attr($bauen_image_alt).'" />';
					$html .= '</div>';						
					} else {
					$html .= '<div class="osition-re position-re-order-carousel o-hidden">';						
					$html .= '<div class="cd-pt-ab">';						
					$html .='<img src="'.esc_url($bauen_image[0]).'" alt="'.esc_attr($bauen_image_alt).'" />';
					$html .= '</div>';	
					$html .= '</div>';	
					}
                    $html .='<div class="con">';
						$html .= '<h6>'.do_shortcode($bauen_categories).'</h6>';
						$html .= '<h'.esc_attr($tag).'><a href="'.get_the_permalink().'">'.get_the_title().'</a></h'.esc_attr($tag).'>';	
						$html .= '<div class="line"></div> <a href="'.get_the_permalink().'"><i class="ti-arrow-right"></i></a>';						
					$html .= '</div>';											
				$html .= '</div>';											
				endif;	
			endwhile;
			wp_reset_postdata();				
			$html .= '</div>';
			wp_enqueue_script('owl-carousel');
			wp_enqueue_script('bauen-portfolio-carousel');
		
		} else {
			if($enable_filter == "st2"){
			if(!get_post_meta(get_the_ID(), 'portfolio_category', true)) {
			$portfolio_category = get_terms('portfolio_category', array('exclude' => $port_filter_cat_exclude, 'number'=>$port_filter_cat_count));
			if($portfolio_category) {
			$html .= '<div class="text-center col-md-12">';
			$html .= '<ul class="gallery-filters inline-dark-filters">';
			$html .= '<li class="gallery-filter active" data-filter="*">'.esc_html($text_filter).'</li>';
			foreach($portfolio_category as $portfolio_cat) {
			$html .= '<li class="gallery-filter" data-filter=".'.esc_attr($portfolio_cat->slug).'">'.esc_html($portfolio_cat->name).'</li>';
			}
			$html .= '</ul>';
			$html .= '</div>';
			}
			}
			}
			$html .= '<div class="container-after">';
			$load_main_count='';
			if($post_pagination == "st2"){
				$load_main_count=''.$post_show_before_loadmore.'';
			}
			else {
				$load_main_count='10000000';
			}
            $html .= '<div class="row isotope-items-wrap  no-hide-last loadmore-wrapper" data-load-item="'.esc_attr($load_main_count).'" data-button-text="'.esc_attr($load_btn_text_translate).'">';
			$html .= '<div class="grid-sizer"></div>';
				global $post;			
				$paged=(get_query_var('paged'))?get_query_var('paged'):1;
				$loop = new WP_Query( array( 'post_type' => 'portfolio', 'portfolio_category'=> $categoryname, 'posts_per_page'=> $postcount,  'offset' => $postoffset, 'paged'=>$paged ) );			
				while ( $loop->have_posts() ) : $loop->the_post();
				$portfolio_category = wp_get_post_terms($post->ID,'portfolio_category', array('exclude' => $port_filter_cat_exclude));
				$bauen_class = ""; 
				$bauen_categories = ""; 
				foreach ($portfolio_category as $bauen_item) {
					$bauen_class.=esc_attr($bauen_item->slug . ' ');
					$bauen_categories.='<span class="cat-divider">';
					$bauen_categories.=esc_attr($bauen_item->name . '  ');
					$bauen_categories.='</span>';
				}	
					if (has_post_thumbnail( $post->ID ) ):		
					$bauen_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
					$bauen_image_alt = get_post_meta( get_post_thumbnail_id( $post->ID ), '_wp_attachment_image_alt', true);	
					if($grid_style == "st2"){
					$html .= '<div class="isotope-item col-md-'.esc_attr($col_size).' '.esc_attr($bauen_class).'">';
					$html .= '<div class="bauen-project-wrap">';
					$html .= '<a href="'.get_the_permalink().'">';
					$html .='<img src="'.esc_url($bauen_image[0]).'" alt="'.esc_attr($bauen_image_alt).'" />';
					$html .= '</a>';
					$html .= '<div class="bauen-project-content">';
					$html .= '<p>'.do_shortcode($bauen_categories).'</p>';
					$html .= '<h'.esc_attr($tag).' class="bu-post-title"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h'.esc_attr($tag).'>';
					$html .= '</div>';
					$html .= '</div>';
					$html .= '</div>';
					}
					else {
					$html .= '<div class="isotope-item col-md-'.esc_attr($col_size).' '.esc_attr($bauen_class).'">';
					$html .=''.$bauen_animate_start.''; 
						$html .= '<div class="item">';
							
							if($image_resize == "st2"){
							$html .='<div class="position-re o-hidden">';
							$html .='<img src="'.esc_url($bauen_image[0]).'" alt="'.esc_attr($bauen_image_alt).'" />';
							$html .='</div>';						
							} else {
							$html .='<div class="position-re position-re-order-grid o-hidden">';
							$html .='<div class="cd-pt-ab">';	
							$html .='<img src="'.esc_url($bauen_image[0]).'" alt="'.esc_attr($bauen_image_alt).'" />';
							$html .='</div>';							
							$html .='</div>';	
							}
							$html .='<div class="con">';
								$html .= '<h6>'.do_shortcode($bauen_categories).'</h6>';
								$html .= '<h'.esc_attr($tag).'><a href="'.get_the_permalink().'">'.get_the_title().'</a></h'.esc_attr($tag).'>';	
								$html .= '<div class="line"></div> <a href="'.get_the_permalink().'"><i class="ti-arrow-right"></i></a>';						
							$html .= '</div>';											
						$html .= '</div>';	
					$html .=''.$bauen_animate_end.''; 		
					$html .= '</div>';				
					}					
					endif;	
				endwhile;
				wp_reset_postdata();	
			
			$html .= '</div>';	
			$html .= '</div>';	
			
			
				if ( is_search( 'post' ) ) {
				}
				else {
					wp_enqueue_script('isotope');
					wp_enqueue_script('imagesloaded');
					wp_enqueue_script('bauen-loadmore');
				}
			
		}	

	$html .= '</div>';	
			return $html;
	}
	add_shortcode('wr_vc_portfolio', 'wr_vc_portfolio_body_shortcode');
}

// bauen_el_social
if(! function_exists('wr_el_social_shortcode')){
	function wr_el_social_shortcode($atts, $content = null){
		extract(shortcode_atts( array(
			'class'=>'',
        ), $atts) );			
	$html='';	
	$bauen_options = get_option('bauen');
	$bauen_more_social='';
	$bauen_more_social = Bauen_AfterSetupTheme::return_thme_option('opt_add_more_social','');	

	if ( ! empty( $bauen_more_social ) ) {
	foreach ( $bauen_more_social as $bauen_more_socials ) {
		$html .= '<li>'.do_shortcode($bauen_more_socials).'</li>';	
	} } 
	return $html;		         				
	}
	add_shortcode('wr_el_social', 'wr_el_social_shortcode');
}	
?>