<?php
namespace BAUENEL;

use BAUENEL\Widgets\Bauen_Title;
use BAUENEL\Widgets\Bauen_Text;
use BAUENEL\Widgets\Bauen_Image;
use BAUENEL\Widgets\Bauen_Button;
use BAUENEL\Widgets\Bauen_Accordion;
use BAUENEL\Widgets\Bauen_Post;
use BAUENEL\Widgets\Bauen_Post_Grid;
use BAUENEL\Widgets\Bauen_Portfolio_Grid;
use BAUENEL\Widgets\Bauen_Portfolio_Carousel;
use BAUENEL\Widgets\Bauen_Portfolio_List;
use BAUENEL\Widgets\Bauen_List;
use BAUENEL\Widgets\Bauen_List_Icon;
use BAUENEL\Widgets\Bauen_Services;
use BAUENEL\Widgets\Bauen_Hover_Box;
use BAUENEL\Widgets\Bauen_Flip_Box;
use BAUENEL\Widgets\Bauen_Team;
use BAUENEL\Widgets\Bauen_Gallery;
use BAUENEL\Widgets\Bauen_Single_Img_Video;
use BAUENEL\Widgets\Bauen_Image_Slider;
use BAUENEL\Widgets\Bauen_Pricing;
use BAUENEL\Widgets\Bauen_Process;
use BAUENEL\Widgets\Bauen_Video;
use BAUENEL\Widgets\Bauen_Testimonials;
use BAUENEL\Widgets\Bauen_Clients;
use BAUENEL\Widgets\Bauen_Contact;
use BAUENEL\Widgets\Bauen_Form;
use BAUENEL\Widgets\Bauen_Map;
use BAUENEL\Widgets\Bauen_Before_After;
use BAUENEL\Widgets\Bauen_Careers;
use BAUENEL\Widgets\Bauen_Banner_Slider;
use BAUENEL\Widgets\Bauen_Banner_Image;


if( ! defined('ABSPATH') ) exit;

class BauenCore{

    public function __construct() {
        $this->add_actions();
		add_action( 'elementor/frontend/after_register_scripts', [ $this, 'bauen_after_register_scripts' ]);
    }


    public function add_actions() {
        add_action( 'elementor/init', [ $this, 'bauen_elementor_helper_init' ] );

        add_action( 'elementor/editor/before_enqueue_scripts', [ $this, 'enqueue_widget_styles' ] );
        add_action( 'elementor/frontend/after_enqueue_styles', [ $this, 'enqueue_widget_styles' ] );
        
        add_action( 'elementor/widgets/register', [ $this, 'on_widgets_registered' ] );
    }


    public function bauen_elementor_helper_init() {
        \Elementor\Plugin::instance()->elements_manager->add_category(
            'bauen-banner',
            [
                'title'  => 'Bauen Banner',
                'icon' => 'font'
            ],
            1
        );
		
		\Elementor\Plugin::instance()->elements_manager->add_category(
            'bauen-addons',
            [
                'title'  => 'Bauen Addons',
                'icon' => 'font'
            ],
            1
        );
    }
	
	public function enqueue_widget_styles() {
	}
    

    public function bauen_after_register_scripts() {
       	wp_register_script( 'elementor-team-carousel', BAUEN_URL . '/elementor-js/elementor-team-carousel.js', array('jquery'), BAUEN_VERSION, true );
        wp_register_script( 'elementor-post-carousel', BAUEN_URL . '/elementor-js/elementor-post-carousel.js', array('jquery'), BAUEN_VERSION, true );
        wp_register_script( 'elementor-testimonials-carousel', BAUEN_URL . '/elementor-js/elementor-testimonials-carousel.js', array('jquery'), BAUEN_VERSION, true );
        wp_register_script( 'elementor-clients-carousel', BAUEN_URL . '/elementor-js/elementor-clients-carousel.js', array('jquery'), BAUEN_VERSION, true );
        wp_register_script( 'elementor-accordion-box', BAUEN_URL . '/elementor-js/elementor-accordion-box.js', array('jquery'), BAUEN_VERSION, true );
        wp_register_script( 'elementor-map-script', BAUEN_URL . '/elementor-js/elementor-map-script.js', array('jquery'), BAUEN_VERSION, true );
        wp_register_script( 'elementor-gallery-popup', BAUEN_URL . '/elementor-js/elementor-gallery-popup.js', array('jquery'), BAUEN_VERSION, true ); 
		wp_register_script( 'elementor-single-gallery-popup', BAUEN_URL . '/elementor-js/elementor-single-gallery-popup.js', array('jquery'), BAUEN_VERSION, true );
        wp_register_script( 'elementor-portfolio-carousel', BAUEN_URL . '/elementor-js/elementor-portfolio-carousel.js', array('jquery'), BAUEN_VERSION, true );
        wp_register_script( 'elementor-load-more', BAUEN_URL . '/elementor-js/elementor-load-more.js', array('jquery'), BAUEN_VERSION, true );
        wp_register_script( 'elementor-gallery-load-more', BAUEN_URL . '/elementor-js/elementor-gallery-load-more.js', array('jquery'), BAUEN_VERSION, true );
		wp_register_script( 'elementor-image-slider', BAUEN_URL . '/elementor-js/elementor-image-slider.js', array('jquery'), BAUEN_VERSION, true );
		wp_register_script( 'elementor-before-after-first', BAUEN_URL . '/elementor-js/before-after-first.js', array('jquery'), BAUEN_VERSION, true );
		wp_register_script( 'elementor-slider-banner', BAUEN_URL . '/elementor-js/elementor-slider-banner.js', array('jquery'), BAUEN_VERSION, true );
		wp_register_script( 'elementor-banner-bg', BAUEN_URL . '/elementor-js/elementor-banner-bg.js', array('jquery'), BAUEN_VERSION, true );
		wp_register_script( 'elementor-flip-bg', BAUEN_URL . '/elementor-js/elementor-flip-bg.js', array('jquery'), BAUEN_VERSION, true );
		wp_register_script( 'elementor-portlist-load-more', BAUEN_URL . '/elementor-js/elementor-portlist-load-more.js', array('jquery'), BAUEN_VERSION, true );
	}

    public function on_widgets_registered() {
        $this->includes();
        $this->register_widget();
    }

    private function includes(){
        require __DIR__ . '/widgets/bauen-title.php';
        require __DIR__ . '/widgets/bauen-text.php';
        require __DIR__ . '/widgets/bauen-image.php';
        require __DIR__ . '/widgets/bauen-button.php';
		require __DIR__ . '/widgets/bauen-accordion.php';
		require __DIR__ . '/widgets/bauen-post.php';
		require __DIR__ . '/widgets/bauen-post-grid.php';
		require __DIR__ . '/widgets/bauen-portfolio-grid.php';
		require __DIR__ . '/widgets/bauen-portfolio-carousel.php';
		require __DIR__ . '/widgets/bauen-portfolio-list.php';
        require __DIR__ . '/widgets/bauen-list.php';		
        require __DIR__ . '/widgets/bauen-list-icon.php';		
        require __DIR__ . '/widgets/bauen-services.php';
        require __DIR__ . '/widgets/bauen-hover-box.php';
        require __DIR__ . '/widgets/bauen-flip-box.php';
        require __DIR__ . '/widgets/bauen-team.php';
        require __DIR__ . '/widgets/bauen-gallery.php';
        require __DIR__ . '/widgets/bauen-single-img-video.php';
        require __DIR__ . '/widgets/bauen-image-slider.php';
        require __DIR__ . '/widgets/bauen-pricing.php';
        require __DIR__ . '/widgets/bauen-process.php';
        require __DIR__ . '/widgets/bauen-video.php';
        require __DIR__ . '/widgets/bauen-testimonials.php';
        require __DIR__ . '/widgets/bauen-clients.php';
        require __DIR__ . '/widgets/bauen-contact.php';
        require __DIR__ . '/widgets/bauen-form.php';
        require __DIR__ . '/widgets/bauen-map.php';
        require __DIR__ . '/widgets/bauen-before-after.php';
        require __DIR__ . '/widgets/bauen-careers.php';
        require __DIR__ . '/widgets/bauen-banner-slider.php';
        require __DIR__ . '/widgets/bauen-banner-image.php';
        
       }

    private function register_widget(){
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Title() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Text() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Image() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Button() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Accordion() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Post() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Post_Grid() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Portfolio_Grid() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Portfolio_Carousel() );
		\Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Portfolio_List() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_List() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_List_Icon() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Services() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Hover_Box() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Flip_Box() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Team() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Gallery() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Single_Img_Video() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Image_Slider() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Pricing() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Process() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Video() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Testimonials() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Clients() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Contact() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Form() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Map() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Before_After() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Careers() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Banner_Slider() );
        \Elementor\Plugin::instance()->widgets_manager->register( new Bauen_Banner_Image() );
        
    }

}


new BauenCore();