<?php
/**
 * Registering meta boxes
 *
 * All the definitions of meta boxes are listed below with comments.
 * Please read them CAREFULLY.
 *
 * You also should read the changelog to know what has been changed before updating.
 *
 * For more information, please visit:
 * @link http://www.deluxeblogtips.com/meta-box/docs/define-meta-boxes
 */

/********************* META BOX DEFINITIONS ***********************/

/**
 * Prefix of meta keys (optional)
 * Use underscore (_) at the beginning to make keys hidden
 * Alt.: You also can make prefix empty to disable it
 */
// Better has an underscore as last sign
$prefix = 'bauen_';

global $meta_boxes;

$meta_boxes = array();

global $smof_data;


/* ----------------------------------------------------- */
// Revolution Slider
/* ----------------------------------------------------- */

$array_choices      = array();
if(shortcode_exists("rev_slider"))  { 
	$new_slider       = new RevSlider();
	$tot_revsliders   = $new_slider->getArrSliders();
		 array_push($array_choices, 
              array('value' => '',
                'label' => __('Choose a Slider','belenava-plugin'),
                 'src'   =>''
				 )
		  );  
	foreach ( $tot_revsliders as $rev_single ) {
		$alias   = $rev_single->getAlias();
		$title   = $rev_single->getTitle();
		array_push($array_choices, 
           array('value' => $alias,
             'label' =>$title,
             'src'   =>'')
		);
	}
}

/* Page Section Background Settings */

$grid_array = array('2 Columns','3 Columns','4 Columns');

$pagebg_type_array = array(
	'image' => 'Image',
	'gradient' => 'Gradient',
	'color' => 'Color'
);


/* ----------------------------------------------------- */
/* page Type Metaboxes
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'home_page_type',
	'title' => 'Default Page Template Function',
	'hide'   => array(
    // List of page templates (used for page only). Array. Optional.
    'template'    => array('blog.php', 'onepage.php', 'coming-soon.php'),
	),
	'pages' => array( 'page' ),
	'context' => 'normal',	
	'fields' => array(

		// SELECT BOX
		array(
			'name'     => esc_attr__( 'Default Page Type', 'bauen' ),
			'id'   => $prefix . 'wr_pagetype',
			'desc'  => esc_attr__( 'Select Default Page Type.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				
				'st1' => esc_attr__( 'Default', 'bauen' ),
				'st2' => esc_attr__( 'Right Sidebar', 'bauen' ),
				'st3' => esc_attr__( 'Left Sidebar', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
				
		// SELECT BOX
		array(
			'name'     => esc_attr__( 'Page Container', 'bauen' ),
			'id'   => $prefix . 'wr_pagetype_container',
			'desc'  => __( 'Disable page container when you need a full width page.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				
				'st1' => esc_attr__( 'Enable', 'bauen' ),
				'st2' => esc_attr__( 'Disable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_wr_pagetype', '!=', 'st1' ),
		),		
		
	)
);



/* ----------------------------------------------------- */
/* blog page Type Metaboxes
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'wrblogpagetemp',
	'title' => 'Blog Page Template Function',
	'show'   => array(
    // List of page templates (used for page only). Array. Optional.
    'template'    => array( 'blog.php'),
	),
	'pages' => array( 'page' ),
	'context' => 'normal',	

	'fields' => array(		
		
		// SELECT BOX
		array(
			'name'     => esc_attr__( 'Blog Page Type', 'bauen' ),
			'id'   => $prefix . 'wrblog-pagetype',
			'desc'  => esc_attr__( 'Select Blog Page Type.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Right Sidebar', 'bauen' ),		
				'st4' => esc_attr__( 'Left Sidebar', 'bauen' ),		
				'st2' => esc_attr__( 'Fancy 2 Cols', 'bauen' ),
				'st3' => esc_attr__( 'Horizontal', 'bauen' ),

			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		
		array(
				'name'       => esc_attr__( 'Number Of Post Show', 'blps' ),
				'id'         => $prefix . 'blog_post_show',
				'desc'		=> '',
				'type'       => 'slider',
				// Text labels displayed before and after value
				'prefix'     => __( '', 'blps' ),
				'suffix'     => __( ' Posts', 'blps' ),
				'js_options' => array(
					'min'  => 1,
					'max'  => 1000,
					'step' => 1,
				),
			),	

			array(
			'name'		=> 'Include Category',
			'id'		=> $prefix . 'blog_post_cat',
			'desc'		=> '(Optional) Insert category name here. Ex: web design, web development ',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> ''
		   ),
		   
		   array(
				'name'       => esc_attr__( 'Post Offset', 'blps' ),
				'id'         => $prefix . 'blog_post_offset',
				'desc'		=> '(Optional)',
				'type'       => 'slider',
				// Text labels displayed before and after value
				'prefix'     => __( '', 'blps' ),
				'suffix'     => __( ' Posts', 'blps' ),
				'js_options' => array(
					'min'  => 0,
					'max'  => 100,
					'step' => 1,
				),
			),
		
		   
	)
);

/* ----------------------------------------------------- */
/* coming soon page Type Metaboxes
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'wrcomingpagetemp',
	'title' => 'Comming Soon Page Template Function',
	'show'   => array(
    // List of page templates (used for page only). Array. Optional.
    'template'    => array( 'coming-soon.php'),
	),
	'pages' => array( 'page' ),
	'context' => 'normal',	

	'fields' => array(				

			array(
				'name'		=> 'Countdown Time',
				'id'		=> $prefix . 'coming_soon_countdown',
				'desc'		=> 'Ex: In Format: 12/12/2022<br> m/d/y',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),
			array(
				'name'		=> 'MailChimp Shortcode',
				'id'		=> $prefix . 'coming_soon_page_subscribe_shortcode_opt',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> '',
				'desc'		=> 'Ex: [mc4wp_form id="123"]',
			),
			array(
				'name'		=> 'Page Title',
				'id'		=> $prefix . 'coming_soon_page_title_opt',
				'desc'		=> '(Optional) Ex: Coming Soon!',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),
			array(
				'name'		=> 'Page Subtitle',
				'id'		=> $prefix . 'coming_soon_page_subtitle_opt',
				'desc'		=> '(Optional) Ex: Our website is under construction',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),	
			array(
				'name'		=> 'Countdown Days Text',
				'id'		=> $prefix . 'coming_soon_page_days_opt',
				'desc'		=> '(Optional) Ex: Days',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),				
			array(
				'name'		=> 'Countdown Hours Text',
				'id'		=> $prefix . 'coming_soon_page_hours_opt',
				'desc'		=> '(Optional) Ex: Hours',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),	
			array(
				'name'		=> 'Countdown Minutes Text',
				'id'		=> $prefix . 'coming_soon_page_minutes_opt',
				'desc'		=> '(Optional) Ex: Minutes',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),		
			array(
				'name'		=> 'Countdown Seconds Text',
				'id'		=> $prefix . 'coming_soon_page_seconds_opt',
				'desc'		=> '(Optional) Ex: Seconds',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),			
		   
	)
);


/* ----------------------------------------------------- */
/* Separate Page Type Metaboxes
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'separate_page_type',
	'title' => 'One Page Menu Separate Page Function',
	'hide'   => array(
    // List of page templates (used for page only). Array. Optional.
    'template'    => array('onepage.php'),
	),
	'pages' => array( 'page' ),
	'context' => 'normal',	
	'fields' => array(
		array(
			'name'		=> 'Open as a separate page',
			'id'		=> $prefix . 'open_page',
			'type'      => 'checkbox',
			'desc'		=> 'Check it while using "One Page Menu" and want to open this page as a separate page.',
			// Value can be 0 or 1
			'std'  => 0,			
		),			
		
	)
);

/* ----------------------------------------------------- */
/* page header Type Metaboxes
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'bauen_page_header_main_opt',
	'title' => 'Page Header Options',
	'pages' => array( 'page', 'post', 'portfolio', 'product' ),
	'hide'   => array(
    // List of page templates (used for page only). Array. Optional.
    'template'    => array('coming-soon.php'),
	),	
	'context' => 'normal',	
	'fields' => array(
	
	// SELECT BOX
		array(
			'name'     => esc_attr__( 'Page Header Type', 'bauen' ),
			'id'   => $prefix . 'page_header_selector_opt',
			'desc'  => esc_attr__( 'Select Your Page Header Style.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st0' => esc_attr__( 'Select an Option', 'bauen' ),
				'st1' => esc_attr__( 'Default', 'bauen' ),
				'st5' => esc_attr__( 'Static Header', 'bauen' ),				
				'st2' => esc_attr__( 'Slider', 'bauen' ),
				'st6' => esc_attr__( 'Video', 'bauen' ),
				'st3' => esc_attr__( 'Fullscreen Slider', 'bauen' ),
				'st4' => esc_attr__( 'Revolution Slider', 'bauen' ),												
				'st8' => esc_attr__( 'Fullscreen Image', 'bauen' ),												
				'st7' => esc_attr__( 'Hide Header', 'bauen' ),
			
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st0',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
			
	
		// SELECT BOX Nav Menu
		array(
			'name'     => esc_attr__( 'Page Nav Menu Option ', 'bauen' ),
			'id'   => $prefix . 'page_header_menu_selector_opt',
			'desc'  => esc_attr__( 'Select Page Header Nav Menu Options.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'no' => esc_attr__( 'Theme Option', 'bauen' ),
				'yes' => esc_attr__( 'Page Option', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'no',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),	
		// SELECT BOX Nav Menu Style
		array(
			'name'     => esc_attr__( 'Nav Menu Style', 'bauen' ),
			'id'   => $prefix . 'page_header_menu_style_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Classic', 'bauen' ),				
				'st2' => esc_attr__( 'Hamburger', 'bauen' ),
				'st3' => esc_attr__( 'Classic Fullscreen', 'bauen' ),
				'st4' => esc_attr__( 'Hamburger Fullscreen', 'bauen' ),
				'st5' => esc_attr__( 'Sidebar', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_page_header_menu_selector_opt', '!=', 'yes' ),
			'tooltip' => array(
                    'icon'     => 'help',
                    'content'  => '"Hamburger & Hamburger Fullscreen" is unavailable for "One Page Template"',
                    'position' => 'top',
            ),				
		),
		
		// SELECT BOX Nav Text Color
		array(
			'name'     => esc_attr__( 'Right Side Logo Display', 'bauen' ),
			'id'   => $prefix . 'page_right_side_logo_display_opt',
			'desc'  => esc_attr__( 'Media width 767px.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
			    'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),				
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_page_header_menu_style_opt', '!=', 'st5' ),
		),

		// SELECT BOX Nav Text Color
		array(
			'name'     => esc_attr__( 'Show Sticky Logo Image', 'bauen' ),
			'id'   => $prefix . 'page_header_sticky_logo_visiablity_opt',
			'desc'  => esc_attr__( '(Optional).', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
			    'st1' => esc_attr__( 'On Scroll', 'bauen' ),
				'st2' => esc_attr__( 'Always', 'bauen' ),				
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_page_header_menu_selector_opt', '!=', 'yes' ),
			'tooltip' => array(
                    'icon'     => 'help',
                    'content'  => '"Upload sticky logo from the Bauen Options."',
                    'position' => 'top',
            ),
		),
		
		// SELECT BOX Nav Text Color
		array(
			'name'     => esc_attr__( 'Nav Menu Color Style', 'bauen' ),
			'id'   => $prefix . 'page_header_color_style_opt',
			'desc'  => esc_attr__( '(Optional).', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
			    'st2' => esc_attr__( 'White', 'bauen' ),
				'st1' => esc_attr__( 'Black', 'bauen' ),				
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_page_header_menu_selector_opt', '!=', 'yes' ),
			'tooltip' => array(
                    'icon'     => 'help',
                    'content'  => '"Not affected for Hamburger & Hamburger Fullscreen menu"',
                    'position' => 'top',
            ),	
		),		
		// SELECT BOX Logo Tag Line Color
		array(
			'name'     => esc_attr__( 'Logo Tag Line Color Style', 'bauen' ),
			'id'   => $prefix . 'page_header_logo_color_style_opt',
			'desc'  => esc_attr__( '(Optional).', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Gray', 'bauen' ),			
				'st2' => esc_attr__( 'White', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_page_header_menu_selector_opt', '!=', 'yes' ),
		),		
		// SELECT Page Content Lines BOX
		array(
			'name'     => esc_attr__( 'Page Content Lines', 'bauen' ),
			'id'   => $prefix . 'content_lines',
			'desc'  => __( 'Global option is available in Bauen Options.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(				
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'tooltip' => array(
                'icon'     => 'help',
                'content'  => 'This option is unavailable for "One Page Template"',
                'position' => 'top',
            ),	
		),			
	
	)
);

/* ----------------------------------------------------- */
/* Header Section Default
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'bauen_page_header_opts',
	'title' => 'Page Default Header Options.',	
	'show'   => array(
    // by metabox select
	'input_value'   => array(
    '#bauen_page_header_selector_opt' => 'st1',
    ),
	),
	'pages' => array( 'page', 'portfolio','post', 'product' ),
	'context' => 'normal',	

	'fields' => array(
	
		array(
			'name'		=> 'Header Background Image',
			'id'		=> $prefix . 'page_default_header_bg_img',
			'clone'		=> false,
			'type'		=> 'image_advanced',
			'max_file_uploads' => '1',
			'desc'		=> '',
		),

		array(
			'name'     => esc_attr__( 'Background Image Position', 'bauen' ),
			'id'   => $prefix . 'page_default_header_image_position_opt',
			'desc'  => esc_attr__( '(Optional)', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_html__( 'Default', 'bauen' ),
				'st2' => esc_html__( 'Center Center', 'bauen' ),
				'st3' => esc_html__( 'Center Left', 'bauen' ),
				'st4' => esc_html__( 'Center Right', 'bauen' ),
				'st5' => esc_html__( 'Top Center', 'bauen' ),
				'st6' => esc_html__( 'Top Left', 'bauen' ),				
				'st7' => esc_html__( 'Top Right', 'bauen' ),				
				'st8' => esc_html__( 'Bottom Center', 'bauen' ),				
				'st9' => esc_html__( 'Bottom Left', 'bauen' ),				
				'st10' => esc_html__( 'Bottom Right', 'bauen' ),				
				'st11' => esc_html__( 'Custom', 'bauen' ),				
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		//title
	    array(
			'name'		=> 'Custom Position',
			'id'		=> $prefix . 'page_default_header_image_position_custom_opt',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> 'Ex: 100px 100px',
			'hidden' => array( 'bauen_page_default_header_image', '!=', 'st11' ),
		),
		
		array(
			'name'     => esc_attr__( 'Background Image Overly', 'bauen' ),
			'id'   => $prefix . 'page_default_header_overly_opt',
			'desc'  => esc_attr__( '(Optional)', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'1' => esc_html__( '1', 'bauen' ),
				'2' => esc_html__( '2', 'bauen' ),
				'3' => esc_html__( '3', 'bauen' ),
				'4' => esc_html__( '4', 'bauen' ),
				'5' => esc_html__( '5', 'bauen' ),
				'6' => esc_html__( '6', 'bauen' ),				
				'7' => esc_html__( '7', 'bauen' ),				
				'8' => esc_html__( '8', 'bauen' ),				
				'9' => esc_html__( '9', 'bauen' ),				
				'0' => esc_html__( '0', 'bauen' ),				
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => '3',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
	
		// title tag
		array(
		'name'     => esc_attr__( 'Header Title', 'bauen' ),
		'id'   => $prefix . 'page_default_header_title_opt',
		'desc'  => esc_attr__( 'Enable/ Disable Title section.', 'bauen' ),
		'type'     => 'select_advanced',
		// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
			'st1' => esc_attr__( 'Enable', 'bauen' ),
			'st2' => esc_attr__( 'Disable', 'bauen' ),
		),
		// Select multiple values, optional. Default is false.
		'multiple'    => false,
		'std'         => 'st1',
		'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
	    ),
		
		//title
		array(
			'name'		=> 'Title',
			'id'		=> $prefix . 'page_default_header_title_main_opt',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> 'Optional.',
			'visible' => array( 'bauen_page_default_header_title_opt', '!=', 'st2' ),
		),
		// title tag
		array(
		'name'     => esc_attr__( 'Title Tag', 'bauen' ),
		'id'   => $prefix . 'page_default_header_title_tag',
		'desc'  => esc_attr__( '(Optional) Title Heading Tag', 'bauen' ),
		'type'     => 'select_advanced',
		// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
			'st2' => esc_attr__( 'Heading H2 (Default)', 'bauen' ),
			'st1' => esc_attr__( 'Heading H1', 'bauen' ),
			'st3' => esc_attr__( 'Heading H3', 'bauen' ),
			'st4' => esc_attr__( 'Heading H4', 'bauen' ),
			'st5' => esc_attr__( 'Heading H5', 'bauen' ),
			'st6' => esc_attr__( 'Heading H6', 'bauen' ),
			),
		// Select multiple values, optional. Default is false.
		'multiple'    => false,
		'std'         => 'st2',
		'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		'visible' => array( 'bauen_page_default_header_title_opt', '!=', 'st2' ),
	    ),	
		array(
			'name'     => esc_attr__( 'Header Animate', 'bauen' ),
			'id'   => $prefix . 'page_default_header_animate_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'visible' => array( 'bauen_page_default_header_title_opt', '!=', 'st2' ),
		),
	
	
	)
);

/* ----------------------------------------------------- */
/* Intro Static Header
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'bauen_header_static',
	'title' => 'Page Static Header Options.',
	'show'   => array(
    // by metabox select
	'input_value'   => array(
    '#bauen_page_header_selector_opt' => 'st5',
    ),
	),
	'pages' => array( 'page', 'post', 'portfolio', 'product' ),
	'context' => 'normal',	

	'fields' => array(	
	
		array(
			'name'     => esc_attr__( 'Header Height', 'bauen' ),
			'id'   => $prefix . 'page_static_header_height_opt',
			'desc'  => esc_attr__( '(Optional)', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'static-header-height' => esc_html__( 'Default', 'bauen' ),
				'static-header-height-30vh' => esc_html__( '30vh', 'bauen' ),
				'static-header-height-25vh' => esc_html__( '25vh', 'bauen' ),
				'static-header-height-15vh' => esc_html__( '15vh', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'static-header-height',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		
		array(
			'name'		=> 'Header Background Image',
			'id'		=> $prefix . 'page_full_img_header_bg_img',
			'clone'		=> false,
			'type'		=> 'image_advanced',
			'max_file_uploads' => '1',
			'desc'		=> '',
		),	
        array(
			'name'     => esc_attr__( 'Background Image Overly', 'bauen' ),
			'id'   => $prefix . 'page_full_img_header_overly_opt',
			'desc'  => esc_attr__( '(Optional)', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'1' => esc_html__( '1', 'bauen' ),
				'2' => esc_html__( '2', 'bauen' ),
				'3' => esc_html__( '3', 'bauen' ),
				'4' => esc_html__( '4', 'bauen' ),
				'5' => esc_html__( '5', 'bauen' ),
				'6' => esc_html__( '6', 'bauen' ),				
				'7' => esc_html__( '7', 'bauen' ),				
				'8' => esc_html__( '8', 'bauen' ),				
				'9' => esc_html__( '9', 'bauen' ),				
				'0' => esc_html__( '0', 'bauen' ),				
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => '3',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		array(
			'name'     => esc_attr__( 'Background Image Position', 'bauen' ),
			'id'   => $prefix . 'page_full_img_header_position_opt',
			'desc'  => esc_attr__( '(Optional)', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_html__( 'Default', 'bauen' ),
				'st2' => esc_html__( 'Center Center', 'bauen' ),
				'st3' => esc_html__( 'Center Left', 'bauen' ),
				'st4' => esc_html__( 'Center Right', 'bauen' ),
				'st5' => esc_html__( 'Top Center', 'bauen' ),
				'st6' => esc_html__( 'Top Left', 'bauen' ),				
				'st7' => esc_html__( 'Top Right', 'bauen' ),				
				'st8' => esc_html__( 'Bottom Center', 'bauen' ),				
				'st9' => esc_html__( 'Bottom Left', 'bauen' ),				
				'st10' => esc_html__( 'Bottom Right', 'bauen' ),				
				'st11' => esc_html__( 'Custom', 'bauen' ),				
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		
		//pt
	    array(
			'name'		=> 'Custom Position',
			'id'		=> $prefix . 'page_full_img_header_position_custom_opt',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> 'Ex: 100px 100px',
			'hidden' => array( 'bauen_page_full_img_header_position_opt', '!=', 'st11' ),
		),
		array(
			'name'     => esc_attr__( 'Background Image Size', 'bauen' ),
			'id'   => $prefix . 'page_full_img_header_size_opt',
			'desc'  => esc_attr__( '(Optional)', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_html__( 'Cover', 'bauen' ),
				'st2' => esc_html__( 'Auto', 'bauen' ),
				'st3' => esc_html__( '100%', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		array(
			'name'     => esc_attr__( 'Background Attachment', 'bauen' ),
			'id'   => $prefix . 'page_full_img_header_attachment_opt',
			'desc'  => esc_attr__( '(Optional)', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_html__( 'Fixed', 'bauen' ),
				'st2' => esc_html__( 'None', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		array(
			'name'     => esc_attr__( 'Header Title', 'bauen' ),
			'id'   => $prefix . 'page_static_header_title_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
			),
			// Select multiple values, optional. static is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),			
	    //title
	    array(
			'name'		=> 'Title',
			'id'		=> $prefix . 'page_static_header_title_main_opt',
			'clone'		=> false,
			'type'		=> 'textarea',
			'std'		=> '',
			'desc'		=> 'Ex: Our &lt;span&gt;Blog&lt;/span&gt;',
			'hidden' => array( 'bauen_page_static_header_title_opt', '!=', 'st2' ),
		),
		// title tag
		array(
		'name'     => esc_attr__( 'Title Tag', 'bauen' ),
		'id'   => $prefix . 'page_static_header_title_tag',
		'desc'  => esc_attr__( '(Optional) Title Heading Tag', 'bauen' ),
		'type'     => 'select_advanced',
		// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
			'st2' => esc_attr__( 'Heading H2 (static)', 'bauen' ),
			'st1' => esc_attr__( 'Heading H1', 'bauen' ),
			'st3' => esc_attr__( 'Heading H3', 'bauen' ),
			'st4' => esc_attr__( 'Heading H4', 'bauen' ),
			'st5' => esc_attr__( 'Heading H5', 'bauen' ),
			'st6' => esc_attr__( 'Heading H6', 'bauen' ),
			),
		// Select multiple values, optional. static is false.
		'multiple'    => false,
		'std'         => 'st2',
		'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		'hidden' => array( 'bauen_page_static_header_title_opt', '!=', 'st2' ),
	    ),
		
		array(
			'name'     => esc_attr__( 'Header Animate', 'bauen' ),
			'id'   => $prefix . 'page_static_header_animate_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
			),
			// Select multiple values, optional. static is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_page_static_header_title_opt', '!=', 'st2' ),
		),		
		

	)		
);


/* ----------------------------------------------------- */
/* Intro Slider 
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'bauen_header_slider',
	'title' => 'Page Header Slider Options.',
	'show'   => array(
    // by metabox select
	'input_value'   => array(
     '#bauen_page_header_selector_opt' => 'st2',
    ),
	),
	'pages' => array( 'page', 'post', 'portfolio' ),
	'context' => 'normal',	

	'fields' => array(
		array(
			'name'		=> 'Slider Speed',
			'id'		=> $prefix . 'main_slider_speed',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> 'Default: 5000',
		),			
		array(
				'id'		=> $prefix . 'main_slider_opt',
				'name'        => 'Slider Item',
				'type'        => 'group',
				'clone'       => true,
				'sort_clone'  => true,
				'collapsible' => true,
				'group_title' => 'Slider Item List', // ID of the subfield
				'save_state' => true,
				'fields' => array(					
					array(
						'name'		=> 'Slide Image',
						'id'		=> $prefix . 'main_slider_img_id_opt',
						'clone'		=> false,
						'type'		=> 'image_advanced',
						'max_file_uploads' => '1',
						'desc'		=> '',
					),	
					
					array(
						'name'		=> 'MP4 Video URL',
						'id'		=> $prefix . 'main_slider_mp_video_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> 'Ex: https://webredox.net/demo/wp/bauen/video/video.mp4',
					),
					array(
						'name'     => esc_attr__( 'Slide Image Overlay', 'bauen' ),
						'id'   => $prefix . 'main_slider_overlay_opt',
						'desc'  => esc_attr__( 'Overlay not affected if you add a video URL.', 'bauen' ),
						'type'     => 'select_advanced',
						// Array of 'value' => 'Label' pairs for select box
							'options'  => array(
							'1' => esc_attr__( 'Overlay 1 ', 'bauen' ),
							'2' => esc_attr__( 'Overlay 2', 'bauen' ),
							'3' => esc_attr__( 'Overlay 3 (Default)', 'bauen' ),
							'4' => esc_attr__( 'Overlay 4', 'bauen' ),
							'5' => esc_attr__( 'Overlay 5', 'bauen' ),
							'6' => esc_attr__( 'Overlay 6', 'bauen' ),
							'7' => esc_attr__( 'Overlay 7', 'bauen' ),
							'8' => esc_attr__( 'Overlay 8', 'bauen' ),
							'9' => esc_attr__( 'Overlay 9', 'bauen' ),
							'0' => esc_attr__( 'Overlay 0', 'bauen' ),
							),
						// Select multiple values, optional. Default is false.
						'multiple'    => false,
						'std'         => '3',
						'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
					),	
					array(
						'name'     => esc_attr__( 'Slide Text Align', 'bauen' ),
						'id'   => $prefix . 'main_slider_float_opt',
						'desc'  => esc_attr__( '', 'bauen' ),
						'type'     => 'select_advanced',
						// Array of 'value' => 'Label' pairs for select box
							'options'  => array(
							'st1' => esc_attr__( 'Right', 'bauen' ),
							'st2' => esc_attr__( 'Left', 'bauen' ),
							),
						// Select multiple values, optional. Default is false.
						'multiple'    => false,
						'std'         => 'st1',
						'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
					),					
					array(
						'name'		=> 'Slide Title',
						'id'		=> $prefix . 'main_slider_title_opt',
						'clone'		=> false,
						'type'		=> 'textarea',
						'std'		=> '',
						'desc'		=> 'Ex: Innovate Design in Toronto',
					),
					array(
						'name'     => esc_attr__( 'Slide Title Tag', 'bauen' ),
						'id'   => $prefix . 'main_slider_title_tag_opt',
						'desc'  => esc_attr__( '(Optional) Slide Title Heading Tag', 'bauen' ),
						'type'     => 'select_advanced',
						// Array of 'value' => 'Label' pairs for select box
							'options'  => array(
							'st1' => esc_attr__( 'Heading H1 (Default)', 'bauen' ),
							'st2' => esc_attr__( 'Heading H2', 'bauen' ),
							'st3' => esc_attr__( 'Heading H3', 'bauen' ),
							'st4' => esc_attr__( 'Heading H4', 'bauen' ),
							'st5' => esc_attr__( 'Heading H5', 'bauen' ),
							'st6' => esc_attr__( 'Heading H6', 'bauen' ),
							),
						// Select multiple values, optional. Default is false.
						'multiple'    => false,
						'std'         => 'st1',
						'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
					),					
					array(
						'name'		=> 'Slide Subtitle',
						'id'		=> $prefix . 'main_slider_sub_title_opt',
						'clone'		=> false,
						'type'		=> 'textarea',
						'std'		=> '',
						'desc'		=> 'Ex: Architecture viverra tellus nec massa dictum the euismoe.
										<br>&lt;br&gt;Curabitur viverra the posuere aukue velit.',
					),
					
					array(
						'name'		=> 'Slide Button',
						'id'		=> $prefix . 'main_slider_buttontxt_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> 'Ex: Buy Now',
					),					
					array(
						'name'		=> 'Slide Button URL',
						'id'		=> $prefix . 'main_slider_buttonurl_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> '',
					),
					array(
						'name'     => esc_attr__( 'Link Target', 'bauen' ),
						'id'   => $prefix . 'main_slider_button_target_opt',
						'desc'  => esc_attr__( '', 'bauen' ),
						'type'     => 'select_advanced',
						// Array of 'value' => 'Label' pairs for select box
							'options'  => array(
							'_self' => esc_attr__( 'Self', 'bauen' ),
							'_blank' => esc_attr__( 'Blank', 'bauen' ),
							),
						// Select multiple values, optional. Default is false.
						'multiple'    => false,
						'std'         => '_self',
						'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
					),					
				
				),
			),
		array(
			'name'     => esc_attr__( 'Slider Corner Line', 'bauen' ),
			'id'   => $prefix . 'main_slider_corner',
			'desc'  => esc_attr__( '', 'bauen' ),			
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Enable', 'bauen' ),
				'st2' => esc_attr__( 'Disable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),			
		),	
			
		array(
			'name'     => esc_attr__( 'Slider Social Icon', 'bauen' ),
			'id'   => $prefix . 'main_slider_social',
			'desc'  => esc_attr__( '', 'bauen' ),			
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
        ),	
		array(
				'id'		=> $prefix . 'full_slider_social_opt',
				'name'        => 'Slider Social Icon',
				'type'        => 'group',
				'clone'       => true,
				'sort_clone'  => true,
				'collapsible' => true,
				'group_title' => 'Slider Social Icon List', // ID of the subfield
				'save_state' => true,
				'fields' => array(

					array(
						'name'		=> 'Social Icon Class',
						'id'		=> $prefix . 'full_slider_social_icon_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'      => __( 'Use <strong><a href="https://themify.me/themify-icons" target="_blank">Themify</a></strong> Icon Class. Ex: ti-facebook <br> <strong><a href="https://fontawesome.com/v5/cheatsheet" target="_blank">Fontawesome</a></strong> Icon Class. Ex: fab fa-twitter', 'bauen' ),
					),
					
					array(
						'name'		=> 'Social Icon URL',
						'id'		=> $prefix . 'full_slider_social_url_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> '',
					),
					
				),
				'hidden' => array( 'bauen_main_slider_social', '!=', 'st2' ),
			),	
		
		
	)
);

/* ----------------------------------------------------- */
/* Intro Video 
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'bauen_header_video',
	'title' => 'Page Header Video Options.',
	'show'   => array(
    // by metabox select
	'input_value'   => array(
     '#bauen_page_header_selector_opt' => 'st6',
    ),
	),
	'pages' => array( 'page', 'post', 'portfolio' ),
	'context' => 'normal',	

	'fields' => array(

		array(
			'name'		=> 'Video MP4 URL',
			'id'		=> $prefix . 'page_video_header_url_main_opt',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> 'Ex: https://webredox.net/demo/wp/bauen/video/video.mp4',
		),	

		array(
			'name'     => esc_attr__( 'Backgroun Overlay', 'bauen' ),
			'id'   => $prefix . 'full_video_overlay_opt',
			'desc'  => esc_attr__( '(Optional)', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Overlay 1 ', 'bauen' ),
				'st2' => esc_attr__( 'Overlay 2', 'bauen' ),
				'st3' => esc_attr__( 'Overlay 3', 'bauen' ),
				'st4' => esc_attr__( 'Overlay 4', 'bauen' ),
				'st5' => esc_attr__( 'Overlay 5', 'bauen' ),
				'st6' => esc_attr__( 'Overlay 6', 'bauen' ),
				'st7' => esc_attr__( 'Overlay 7', 'bauen' ),
				'st8' => esc_attr__( 'Overlay 8', 'bauen' ),
				'st9' => esc_attr__( 'Overlay 9', 'bauen' ),
				'st0' => esc_attr__( 'Overlay 0', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => '3',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		
		array(
			'name'		=> 'Video Title',
			'id'		=> $prefix . 'page_video_header_title_main_opt',
			'clone'		=> false,
			'type'		=> 'textarea',
			'std'		=> '',
			'desc'		=> 'Ex: Innovate Design in Toronto',
		),
		array(
			'name'     => esc_attr__( 'Video Title Tag', 'bauen' ),
			'id'   => $prefix . 'page_video_header_title_tag',
			'desc'  => esc_attr__( '(Optional) Video Title Heading Tag', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'st1' => esc_attr__( 'Heading H1 (Default)', 'bauen' ),
				'st2' => esc_attr__( 'Heading H2', 'bauen' ),
				'st3' => esc_attr__( 'Heading H3', 'bauen' ),
				'st4' => esc_attr__( 'Heading H4', 'bauen' ),
				'st5' => esc_attr__( 'Heading H5', 'bauen' ),
				'st6' => esc_attr__( 'Heading H6', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),					
		array(
			'name'		=> 'Video Subtitle',
			'id'		=> $prefix . 'page_video_header_subtitle_main_opt',
			'clone'		=> false,
			'type'		=> 'textarea',
			'std'		=> '',
			'desc'		=> 'Ex: Architecture viverra tellus nec massa dictum the euismoe.
							<br>&lt;br&gt;Curabitur viverra the posuere aukue velit.',
		),
		
		array(
			'name'		=> 'Video Button',
			'id'		=> $prefix . 'page_video_header_button_main_opt',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> 'Ex: Buy Now',
		),					
		array(
			'name'		=> 'Video Button URL',
			'id'		=> $prefix . 'page_video_header_button_url_main_opt',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> '',
		),
		array(
			'name'     => esc_attr__( 'Video Button Open In', 'bauen' ),
			'id'   => $prefix . 'page_video_header_button_target_main_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'_self' => esc_attr__( 'Self', 'bauen' ),
				'_blank' => esc_attr__( 'Blank', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => '_self',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),	
		array(
			'name'     => esc_attr__( 'Video Corner Line', 'bauen' ),
			'id'   => $prefix . 'main_video_corner',
			'desc'  => esc_attr__( '', 'bauen' ),			
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Enable', 'bauen' ),
				'st2' => esc_attr__( 'Disable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),			
		),	
			
		array(
			'name'     => esc_attr__( 'Video Social Icon', 'bauen' ),
			'id'   => $prefix . 'main_video_social',
			'desc'  => esc_attr__( '', 'bauen' ),			
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
        ),	
		array(
				'id'		=> $prefix . 'full_video_social_opt',
				'name'        => 'Video Social Icon',
				'type'        => 'group',
				'clone'       => true,
				'sort_clone'  => true,
				'collapsible' => true,
				'group_title' => 'Video Social Icon List', // ID of the subfield
				'save_state' => true,
				'fields' => array(

					array(
						'name'		=> 'Social Icon Class',
						'id'		=> $prefix . 'full_video_social_icon_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'      => __( 'Use <strong><a href="https://themify.me/themify-icons" target="_blank">Themify</a></strong> Icon Class. Ex: ti-facebook <br> <strong><a href="https://fontawesome.com/v5/cheatsheet" target="_blank">Fontawesome</a></strong> Icon Class. Ex: fab fa-twitter', 'bauen' ),
					),
					
					array(
						'name'		=> 'Social Icon URL',
						'id'		=> $prefix . 'full_video_social_url_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> '',
					),
					
				),
				'hidden' => array( 'bauen_main_video_social', '!=', 'st2' ),
			),	
		
		
	)
);

/* ----------------------------------------------------- */
/* Intro Fullscreen Slider 
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'bauen_header_full_slider',
	'title' => 'Page Header Fullscreen Slider Options.',
	'show'   => array(
    // by metabox select
	'input_value'   => array(
     '#bauen_page_header_selector_opt' => 'st3',
    ),
	),
	'pages' => array( 'page', 'post', 'portfolio' ),
	'context' => 'normal',	

	'fields' => array(
		array(
			'name'		=> 'Slider Speed',
			'id'		=> $prefix . 'fullscreen_slider_speed',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> 'Default: 5000',
		),			
		array(
				'id'		=> $prefix . 'fullscreen_slider_opt',
				'name'        => 'Slider Title Item',
				'type'        => 'group',
				'clone'       => true,
				'sort_clone'  => true,
				'collapsible' => true,
				'group_title' => 'Slider Title Item List', // ID of the subfield
				'save_state' => true,
				'fields' => array(				
					array(
						'name'		=> 'Slide Image',
						'id'		=> $prefix . 'fullscreen_slider_img_id_opt',
						'clone'		=> false,
						'type'		=> 'image_advanced',
						'max_file_uploads' => '1',
						'desc'		=> '',
					),

					array(
						'name'		=> 'MP4 Video URL',
						'id'		=> $prefix . 'fullscreen_slider_mp_video_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> 'Ex: https://webredox.net/demo/wp/bauen/video/video.mp4',
					),
					
					array(
						'name'     => esc_attr__( 'Slide Image Overlay', 'bauen' ),
						'id'   => $prefix . 'fullscreen_slider_slider_overlay_opt',
						'desc'  => esc_attr__( 'Overlay not affected if you add a video URL.', 'bauen' ),
						'type'     => 'select_advanced',
						// Array of 'value' => 'Label' pairs for select box
							'options'  => array(
							'1' => esc_attr__( 'Overlay 1 ', 'bauen' ),
							'2' => esc_attr__( 'Overlay 2', 'bauen' ),
							'3' => esc_attr__( 'Overlay 3 (Default)', 'bauen' ),
							'4' => esc_attr__( 'Overlay 4', 'bauen' ),
							'5' => esc_attr__( 'Overlay 5', 'bauen' ),
							'6' => esc_attr__( 'Overlay 6', 'bauen' ),
							'7' => esc_attr__( 'Overlay 7', 'bauen' ),
							'8' => esc_attr__( 'Overlay 8', 'bauen' ),
							'9' => esc_attr__( 'Overlay 9', 'bauen' ),
							'0' => esc_attr__( 'Overlay 0', 'bauen' ),
							),
						// Select multiple values, optional. Default is false.
						'multiple'    => false,
						'std'         => '3',
						'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
					),					
					array(
						'name'		=> 'Slide Title',
						'id'		=> $prefix . 'fullscreen_slider_title_opt',
						'clone'		=> false,
						'type'		=> 'textarea',
						'std'		=> '',
						'desc'		=> 'Ex: Innovate Design in Toronto',
					),
					array(
						'name'     => esc_attr__( 'Slide Title Tag', 'bauen' ),
						'id'   => $prefix . 'fullscreen_slider_title_tag_opt',
						'desc'  => esc_attr__( '(Optional) Slide Title Heading Tag', 'bauen' ),
						'type'     => 'select_advanced',
						// Array of 'value' => 'Label' pairs for select box
							'options'  => array(
							'st1' => esc_attr__( 'Heading H1 (Default)', 'bauen' ),
							'st2' => esc_attr__( 'Heading H2', 'bauen' ),
							'st3' => esc_attr__( 'Heading H3', 'bauen' ),
							'st4' => esc_attr__( 'Heading H4', 'bauen' ),
							'st5' => esc_attr__( 'Heading H5', 'bauen' ),
							'st6' => esc_attr__( 'Heading H6', 'bauen' ),
							),
						// Select multiple values, optional. Default is false.
						'multiple'    => false,
						'std'         => 'st1',
						'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
					),					
					array(
						'name'		=> 'Slide Subtitle',
						'id'		=> $prefix . 'fullscreen_slider_sub_title_opt',
						'clone'		=> false,
						'type'		=> 'textarea',
						'std'		=> '',
						'desc'		=> 'Ex: Architecture viverra tellus nec massa dictum the euismoe.
										<br>&lt;br&gt;Curabitur viverra the posuere aukue velit.',
					),
					
					array(
						'name'		=> 'Slide Button',
						'id'		=> $prefix . 'fullscreen_slider_buttontxt_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> 'Ex: Buy Now',
					),					
					array(
						'name'		=> 'Slide Button URL',
						'id'		=> $prefix . 'fullscreen_slider_buttonurl_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> '',
					),
					array(
						'name'     => esc_attr__( 'Link Target', 'bauen' ),
						'id'   => $prefix . 'fullscreen_slider_button_target_opt',
						'desc'  => esc_attr__( '', 'bauen' ),
						'type'     => 'select_advanced',
						// Array of 'value' => 'Label' pairs for select box
							'options'  => array(
							'_self' => esc_attr__( 'Self', 'bauen' ),
							'_blank' => esc_attr__( 'Blank', 'bauen' ),
							),
						// Select multiple values, optional. Default is false.
						'multiple'    => false,
						'std'         => '_self',
						'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
					),					
				
				),
			),
			
		
	)
);


/* ----------------------------------------------------- */
/* Revolution Slider Header
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'bauen_header_rev_slider',
	'title' => 'Page Revolution Slider Header Options.',
	'show'   => array(
    // by metabox select
	'input_value'   => array(
    '#bauen_page_header_selector_opt' => 'st4',
    ),
	),
	'pages' => array( 'page', 'post', 'portfolio' ),
	'context' => 'normal',	

	'fields' => array(	
	
       // get slider 
		array(
			'name'     => esc_attr__( 'Slider Revolution', 'belenava' ),
			'id'   => $prefix . 'rev_shortcode_opt',
			'desc'  => esc_attr__( 'Choose a Slider.', 'belenava' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => $array_choices,
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => '',
			'placeholder' => esc_attr__( 'Select an Option', 'belenava' ),
		),	

		array(
			'name'     => esc_attr__( 'Slider Social Icon', 'bauen' ),
			'id'   => $prefix . 'rev_slider_social',
			'desc'  => esc_attr__( '', 'bauen' ),			
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
        ),	
		array(
				'id'		=> $prefix . 'rev_slider_social_opt',
				'name'        => 'Slider Social Icon',
				'type'        => 'group',
				'clone'       => true,
				'sort_clone'  => true,
				'collapsible' => true,
				'group_title' => 'Slider Social Icon List', // ID of the subfield
				'save_state' => true,
				'fields' => array(

					array(
						'name'		=> 'Social Icon Class',
						'id'		=> $prefix . 'rev_slider_social_icon_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'      => __( 'Use <strong><a href="https://themify.me/themify-icons" target="_blank">Themify</a></strong> Icon Class. Ex: ti-facebook <br> <strong><a href="https://fontawesome.com/v5/cheatsheet" target="_blank">Fontawesome</a></strong> Icon Class. Ex: fab fa-twitter', 'bauen' ),
					),
					
					array(
						'name'		=> 'Social Icon URL',
						'id'		=> $prefix . 'rev_slider_social_url_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> '',
					),
					
				),
				'hidden' => array( 'bauen_rev_slider_social', '!=', 'st2' ),
		),
		
	)		
);


/* ----------------------------------------------------- */
/* Intro Slider 
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'bauen_header_full_image',
	'title' => 'Page Header Fullscreen Image Options.',
	'show'   => array(
    // by metabox select
	'input_value'   => array(
     '#bauen_page_header_selector_opt' => 'st8',
    ),
	),
	'pages' => array( 'page', 'post', 'portfolio' ),
	'context' => 'normal',	

	'fields' => array(
					
		
		array(
			'name'		=> 'Background Image',
			'id'		=> $prefix . 'full_image_img_id_opt',
			'clone'		=> false,
			'type'		=> 'image_advanced',
			'max_file_uploads' => '1',
			'desc'		=> '',
		),
		
		array(
			'name'     => esc_attr__( 'Backgroun Overlay', 'bauen' ),
			'id'   => $prefix . 'full_image_overlay_opt',
			'desc'  => esc_attr__( '(Optional)', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'1' => esc_attr__( 'Overlay 1 ', 'bauen' ),
				'2' => esc_attr__( 'Overlay 2', 'bauen' ),
				'3' => esc_attr__( 'Overlay 3 (Default)', 'bauen' ),
				'4' => esc_attr__( 'Overlay 4', 'bauen' ),
				'5' => esc_attr__( 'Overlay 5', 'bauen' ),
				'6' => esc_attr__( 'Overlay 6', 'bauen' ),
				'7' => esc_attr__( 'Overlay 7', 'bauen' ),
				'8' => esc_attr__( 'Overlay 8', 'bauen' ),
				'9' => esc_attr__( 'Overlay 9', 'bauen' ),
				'0' => esc_attr__( 'Overlay 0', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => '3',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		
		array(
			'name'     => esc_attr__( 'Text Align', 'bauen' ),
			'id'   => $prefix . 'full_image_float_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Right', 'bauen' ),
				'st2' => esc_attr__( 'Left', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),					
		array(
			'name'		=> 'Title',
			'id'		=> $prefix . 'full_image_title_opt',
			'clone'		=> false,
			'type'		=> 'textarea',
			'std'		=> '',
			'desc'		=> 'Ex: Innovate Design in Toronto',
		),
		array(
			'name'     => esc_attr__( 'Title Tag', 'bauen' ),
			'id'   => $prefix . 'full_image_title_tag_opt',
			'desc'  => esc_attr__( '(Optional) Slide Title Heading Tag', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'st1' => esc_attr__( 'Heading H1 (Default)', 'bauen' ),
				'st2' => esc_attr__( 'Heading H2', 'bauen' ),
				'st3' => esc_attr__( 'Heading H3', 'bauen' ),
				'st4' => esc_attr__( 'Heading H4', 'bauen' ),
				'st5' => esc_attr__( 'Heading H5', 'bauen' ),
				'st6' => esc_attr__( 'Heading H6', 'bauen' ),
		),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),					
		array(
			'name'		=> 'Subtitle',
			'id'		=> $prefix . 'full_image_sub_title_opt',
			'clone'		=> false,
			'type'		=> 'textarea',
			'std'		=> '',
			'desc'		=> 'Ex: Architecture viverra tellus nec massa dictum the euismoe.
										<br>&lt;br&gt;Curabitur viverra the posuere aukue velit.',
		),
					
		array(
			'name'		=> 'Button Text',
			'id'		=> $prefix . 'full_image_buttontxt_opt',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> 'Ex: Buy Now',
		),					
		array(
			'name'		=> 'Button URL',
			'id'		=> $prefix . 'full_image_buttonurl_opt',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'desc'		=> '',
		),
		array(
			'name'     => esc_attr__( 'Button Target', 'bauen' ),
			'id'   => $prefix . 'full_image_button_target_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'_self' => esc_attr__( 'Self', 'bauen' ),
				'_blank' => esc_attr__( 'Blank', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => '_self',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		
		array(
			'name'     => esc_attr__( 'Corner Line', 'bauen' ),
			'id'   => $prefix . 'full_image_corner',
			'desc'  => esc_attr__( '', 'bauen' ),			
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Enable', 'bauen' ),
				'st2' => esc_attr__( 'Disable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),			
		),	
			
		array(
			'name'     => esc_attr__( 'Social Icon', 'bauen' ),
			'id'   => $prefix . 'full_image_social',
			'desc'  => esc_attr__( '', 'bauen' ),			
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
        ),	
		array(
				'id'		=> $prefix . 'full_image_social_opt',
				'name'        => 'Social Icon',
				'type'        => 'group',
				'clone'       => true,
				'sort_clone'  => true,
				'collapsible' => true,
				'group_title' => 'Slider Social Icon List', // ID of the subfield
				'save_state' => true,
				'fields' => array(

					array(
						'name'		=> 'Icon Class',
						'id'		=> $prefix . 'full_image_social_icon_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'      => __( 'Use <strong><a href="https://themify.me/themify-icons" target="_blank">Themify</a></strong> Icon Class. Ex: ti-facebook <br> <strong><a href="https://fontawesome.com/v5/cheatsheet" target="_blank">Fontawesome</a></strong> Icon Class. Ex: fab fa-twitter', 'bauen' ),
					),
					
					array(
						'name'		=> 'Icon URL',
						'id'		=> $prefix . 'full_image_social_url_opt',
						'clone'		=> false,
						'type'		=> 'text',
						'std'		=> '',
						'desc'		=> '',
					),
					
				),
				'hidden' => array( 'bauen_full_image_social', '!=', 'st2' ),
			),	
		
		
	)
);

// One Maintenance Mode Option
/* ----------------------------------------------------- */

$meta_boxes[] = array(
	'id' => 'one_coming_soon_enable_opt',
	'title' => 'Maintenance Mode Option',
	'show'   => array(
    'template'    => array( 'onepage.php' ),
	),
	'pages' => array( 'page'),
	'context' => 'normal',

	// List of meta fields
	'fields' => array(

		// SELECT BOX
		array(
			'name'     => esc_attr__( 'Maintenance Mode Template', 'bauen' ),
			'id'   => $prefix . 'one_page_coming_soon_opt',
			'desc'  => esc_attr__( 'Please enable Maintenance Mode from the Bauen Options.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),

		
	)
);

/* ----------------------------------------------------- */
/* coming soon page Type Metaboxes
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'wrcomingpagetemponepage',
	'title' => 'Maintenance Mode Options',
	'show'   => array(
    // by metabox select
	'input_value'   => array(
    '#bauen_one_page_coming_soon_opt'  => 'st2',
    ),
	),
	'pages' => array( 'page' ),
	'context' => 'normal',	

	'fields' => array(				

			array(
				'name'		=> 'Countdown Time',
				'id'		=> $prefix . 'one_coming_soon_countdown',
				'desc'		=> 'Ex: In Format: 12/12/2022<br> m/d/y',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),
			array(
				'name'		=> 'MailChimp Shortcode',
				'id'		=> $prefix . 'one_coming_soon_page_subscribe_shortcode_opt',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> '',
				'desc'		=> 'Ex: [mc4wp_form id="123"]',
			),
			array(
				'name'		=> 'Page Title',
				'id'		=> $prefix . 'one_coming_soon_page_title_opt',
				'desc'		=> '(Optional) Ex: Coming Soon!',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),
			array(
				'name'		=> 'Page Subtitle',
				'id'		=> $prefix . 'one_coming_soon_page_subtitle_opt',
				'desc'		=> '(Optional) Ex: Our website is under construction',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),	
			array(
				'name'		=> 'Countdown Days Text',
				'id'		=> $prefix . 'one_coming_soon_page_days_opt',
				'desc'		=> '(Optional) Ex: Days',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),				
			array(
				'name'		=> 'Countdown Hours Text',
				'id'		=> $prefix . 'one_coming_soon_page_hours_opt',
				'desc'		=> '(Optional) Ex: Hours',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),	
			array(
				'name'		=> 'Countdown Minutes Text',
				'id'		=> $prefix . 'one_coming_soon_page_minutes_opt',
				'desc'		=> '(Optional) Ex: Minutes',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),		
			array(
				'name'		=> 'Countdown Seconds Text',
				'id'		=> $prefix . 'one_coming_soon_page_seconds_opt',
				'desc'		=> '(Optional) Ex: Seconds',
				'clone'		=> false,
				'type'		=> 'text',
				'std'		=> ''
		    ),			
		   
	)
);
/* ----------------------------------------------------- */
/* Portfolio Post Type Metaboxes
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'portfolio_img_pos',
	'title' => 'Portfolio Post Options.',
	'pages' => array( 'portfolio' ),
	'context' => 'normal',	
	'fields' => array(	
	
		// SELECT BOX
		array(
			'name'     => esc_attr__( 'Page Container', 'bauen' ),
			'id'   => $prefix . 'wr_portfoliotype_container',
			'desc'  => __( 'Disable page container when you need a full width page.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
			'options'  => array(
				'st1' => esc_attr__( 'Enable', 'bauen' ),
				'st2' => esc_attr__( 'Disable', 'bauen' ),
			),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		array(
			'name'		=> 'Short Description',
			'id'		=> $prefix . 'portfolio_short_des_opt',
			'desc'		=> 'Afftected only for Bauen Portfolio List Element.',
			'clone'		=> false,
			'type'		=> 'textarea',
			'std'		=> ''
		),
		array(
			'name'     => esc_attr__( 'Footer Pagination', 'bauen' ),
			'id'   => $prefix . 'portfolio_prev_naxt_selector_opt',
			'desc'  => esc_attr__( 'Global option is available in Page Settings options from the Bauen Options.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'yes' => esc_attr__( 'Enable', 'bauen' ),
				'no' => esc_attr__( 'Disable', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'yes',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),			
		
		
	)
);


/* ----------------------------------------------------- */
/* Portfolio Post Type Metaboxes
/* ----------------------------------------------------- */
$meta_boxes[] = array(
	'id' => 'post_pagi_opt',
	'title' => 'Post Options.',
	'pages' => array( 'post' ),
	'context' => 'normal',	
	'fields' => array(	
	
		array(
			'name' => esc_attr__( 'Page Layoput', 'bauen' ),
			'id'   => $prefix . 'post_page_style_selector_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'st1' => esc_attr__( 'Default', 'bauen' ),
				'st2' => esc_attr__( 'Regular Blog', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),	
		
		array(
			'name'		=> 'Short Description',
			'id'		=> $prefix . 'post_short_des_opt',
			'desc'		=> '',
			'clone'		=> false,
			'type'		=> 'textarea',
			'std'		=> '',
			'hidden' => array( 'bauen_post_page_style_selector_opt', '!=', 'st1' ),
		),
		
		array(
			'name'     => esc_attr__( 'Footer Pagination', 'bauen' ),
			'id'   => $prefix . 'post_prev_naxt_selector_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),

		array(
			'name'     => esc_attr__( 'Related Posts', 'bauen' ),
			'id'   => $prefix . 'post_related_post_selector_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'st1' => esc_attr__( 'Disable', 'bauen' ),
				'st2' => esc_attr__( 'Enable', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'st1',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
		),
		
		array(
			'name'		=> 'Section Title',
			'id'		=> $prefix . 'post_related_post_title_opt',
			'desc'		=> 'Ex: Related Post',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '',
			'hidden' => array( 'bauen_post_related_post_selector_opt', '!=', 'st2' ),
		),
		
		array(
			'name'     => esc_attr__( 'Carousel Columns', 'bauen' ),
			'id'   => $prefix . 'post_related_post_column_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'4' => esc_attr__( '4 Columns', 'bauen' ),
				'3' => esc_attr__( '3 Columns', 'bauen' ),
				'2' => esc_attr__( '2 Columns', 'bauen' ),
				'1' => esc_attr__( '1 Columns', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => '3',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_post_related_post_selector_opt', '!=', 'st2' ),
		),
		
		array(
			'name'     => esc_attr__( 'Carousel Autoplay', 'bauen' ),
			'id'   => $prefix . 'post_related_post_autoplay_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'false' => esc_attr__( 'Disable', 'bauen' ),
				'true' => esc_attr__( 'Enable', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'false',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_post_related_post_selector_opt', '!=', 'st2' ),
		),
		
		array(
			'name'		=> 'Autoplay Timeout',
			'id'		=> $prefix . 'post_related_post_timeout_opt',
			'desc'		=> 'Ex: 5000',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '5000',
			'hidden' => array( 'bauen_post_related_post_autoplay_opt', '!=', 'true' ),
		),
		
		array(
			'name'		=> 'Carousel Speed',
			'id'		=> $prefix . 'post_related_post_speed_opt',
			'desc'		=> 'Ex: 500',
			'clone'		=> false,
			'type'		=> 'text',
			'std'		=> '500',
			'hidden' => array( 'bauen_post_related_post_autoplay_opt', '!=', 'true' ),
		),
		
		array(
			'name'     => esc_attr__( 'Carousel Navigation', 'bauen' ),
			'id'   => $prefix . 'post_related_post_nav_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'false' => esc_attr__( 'Disable', 'bauen' ),
				'true' => esc_attr__( 'Enable', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'false',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_post_related_post_selector_opt', '!=', 'st2' ),
		),
		
		array(
			'name'     => esc_attr__( 'Carousel Pagination', 'bauen' ),
			'id'   => $prefix . 'post_related_post_pagination_opt',
			'desc'  => esc_attr__( '', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'false' => esc_attr__( 'Disable', 'bauen' ),
				'true' => esc_attr__( 'Enable', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'false',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_post_related_post_selector_opt', '!=', 'st2' ),
		),
		
		array(
			'name'     => esc_attr__( 'Desktop Pagination', 'bauen' ),
			'id'   => $prefix . 'post_related_post_desktop_pagination_opt',
			'desc'  => esc_attr__( 'Enable/ Disable pagination for desktop version.', 'bauen' ),
			'type'     => 'select_advanced',
			// Array of 'value' => 'Label' pairs for select box
				'options'  => array(
				'false' => esc_attr__( 'Disable', 'bauen' ),
				'true' => esc_attr__( 'Enable', 'bauen' ),
				),
			// Select multiple values, optional. Default is false.
			'multiple'    => false,
			'std'         => 'false',
			'placeholder' => esc_attr__( 'Select an Option', 'bauen' ),
			'hidden' => array( 'bauen_post_related_post_selector_opt', '!=', 'st2' ),
		),
		
		
	)
);


//taxonomy cat
add_filter( 'rwmb_meta_boxes', 'bauen_register_taxonomy_meta_boxes' );
function bauen_register_taxonomy_meta_boxes( $meta_boxes ){
    $meta_boxes[] = array(
        'title'      => '',
        'taxonomies' => 'category', // THIS: List of taxonomies. Array or string

        'fields' => array(
            
            array(
                'name' => 'Thumbnail',
                'id'   => 'bauen_post_cat_image_advanced',
                'type' => 'image_advanced',
				'max_file_uploads' => '1',
            ),
            
        ),
    );
    return $meta_boxes;
}

//taxonomy tag
add_filter( 'rwmb_meta_boxes', 'bauen_register_taxonomy_tag_meta_boxes' );
function bauen_register_taxonomy_tag_meta_boxes( $meta_boxes ){
    $meta_boxes[] = array(
        'title'      => '',
        'taxonomies' => 'post_tag', // THIS: List of taxonomies. Array or string

        'fields' => array(
            
            array(
                'name' => 'Thumbnail',
                'id'   => 'bauen_post_tag_image_advanced',
                'type' => 'image_advanced',
				'max_file_uploads' => '1',
            ),
            
        ),
    );
    return $meta_boxes;
}

//taxonomy tag
add_filter( 'rwmb_meta_boxes', 'bauen_register_taxonomy_port_meta_boxes' );
function bauen_register_taxonomy_port_meta_boxes( $meta_boxes ){
    $meta_boxes[] = array(
        'title'      => '',
        'taxonomies' => 'portfolio_category', // THIS: List of taxonomies. Array or string

        'fields' => array(
            
            array(
                'name' => 'Thumbnail',
                'id'   => 'bauen_port_cat_image_advanced',
                'type' => 'image_advanced',
				'max_file_uploads' => '1',
            ),
            
        ),
    );
    return $meta_boxes;
}

/********************* META BOX REGISTERING ***********************/

/**
 * Register meta boxes
 *
 * @return void
 */
function bauen_register_meta_boxes()
{
	global $meta_boxes;

	// Make sure there's no errors when the plugin is deactivated or during upgrade
	if ( class_exists( 'RW_Meta_Box' ) )
	{
		foreach ( $meta_boxes as $meta_box )
		{
			new RW_Meta_Box( $meta_box );
		}
	}
}

// Hook to 'admin_init' to make sure the meta box class is loaded before
// (in case using the meta box class in another plugin)
// This is also helpful for some conditionals like checking page template, categories, etc.
add_action( 'admin_init', 'bauen_register_meta_boxes' );