<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

//get_header( 'shop' );

/**
 * Hook: woocommerce_before_main_content.
 *
 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
 * @hooked woocommerce_breadcrumb - 20
 * @hooked WC_Structured_Data::generate_website_data() - 30
 */
do_action( 'woocommerce_before_main_content' );

?>
<?php $bauen_options = get_option('bauen'); ?>
<?php global $shob_back_class ;?>
<?php $bauen_shop_back = Bauen_AfterSetupTheme::return_thme_option('shopheaderimg','url');?>
<?php if ( is_product_category() ){
	global $wp_query;
	$bauen_cat = $wp_query->get_queried_object();
	$bauen_thumbnail_id = get_term_meta( $bauen_cat->term_id, 'thumbnail_id', true );
	$bauen_image = wp_get_attachment_url( $bauen_thumbnail_id );
	if ( $bauen_image ) {
		$shob_back_class =''.$bauen_image.'';
	}
	else {
		$shob_back_class =''.$bauen_shop_back.'';
	}
} else {
	$shob_back_class =' '.$bauen_shop_back.'';
 } ;?>
<?php if (Bauen_AfterSetupTheme::return_thme_option('wr_pro_main_shop_header')!='st2'){ ?>
<section class="banner-header banner-img valign bg-img bg-fixed" <?php if (Bauen_AfterSetupTheme::return_thme_option('theme_color_style')=='st2'){ ?>data-overlay-darkgray="3"<?php } else { ?> data-overlay-light="8"<?php  } ;?> data-background="<?php echo esc_url($shob_back_class);?>">
		<!-- Left Panel -->
		<?php if (Bauen_AfterSetupTheme::return_thme_option('nav_menu_style')=='st1'){ ?> 
			<div class="left-panel"></div>
		<?php } 
		else if (Bauen_AfterSetupTheme::return_thme_option('nav_menu_style')=='st2'){ ?> 
		    <div class="left-panel"></div>
		<?php } 
		else { ?>	
			<div class="left-panel-no"></div>			
		<?php } ?>				
</section>
<section class="section-static-banner-header">
		<div class="container">
			<div class="row">
			    <div class="col-md-12">
			    <?php get_template_part('template-parts/aniamte/animate-div-start');?>
				<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
					<h2 class="section-title">
						<?php woocommerce_page_title(); ?>			
					</h2>
				<?php endif; ?>
				
				<?php if ( is_product_category() ){ ?>
				<?php
				/**
				 * Hook: woocommerce_archive_description.
				 *
				 * @hooked woocommerce_taxonomy_archive_description - 10
				 * @hooked woocommerce_product_archive_description - 10
				 */
				do_action( 'woocommerce_archive_description' );
				?>
				<?php } else { ?>
					<?php if(!empty($bauen_options['shopsubtitle'])) { ?>
						<p class="shop-info"><?php echo esc_attr(Bauen_AfterSetupTheme::return_thme_option('shopsubtitle',''));?></p>
					<?php } ;?>
				<?php } ;?>
				
				<?php get_template_part('template-parts/aniamte/animate-div-end');?>
				</div>
			</div>
		</div>
</section>
<?php } ;?>	
<section class="bauen-blog3 <?php if (Bauen_AfterSetupTheme::return_thme_option('wr_pro_main_shop_header')=='st2'){ ?>section-padding3<?php } else { ?>section-padding2<?php } ;?>">
	<div class="container">
		<div class="row">
		<?php if ( is_active_sidebar( 'sidebar-3' ) ) : ?>
		<?php global $bauen_sidebar_class; ?>
		<?php $bauen_sidebar_class = "col-md-8";?>
		<?php else : ?>
		<?php $bauen_sidebar_class = "col-md-12 ";?>
		<?php endif;?>
			<div class="<?php echo esc_attr($bauen_sidebar_class);?>">					
				<div class="row">	
<?php
if ( woocommerce_product_loop() ) {

	/**
	 * Hook: woocommerce_before_shop_loop.
	 *
	 * @hooked woocommerce_output_all_notices - 10
	 * @hooked woocommerce_result_count - 20
	 * @hooked woocommerce_catalog_ordering - 30
	 */
	do_action( 'woocommerce_before_shop_loop' );

	woocommerce_product_loop_start();

	if ( wc_get_loop_prop( 'total' ) ) {
		while ( have_posts() ) {
			the_post();

			/**
			 * Hook: woocommerce_shop_loop.
			 */
			do_action( 'woocommerce_shop_loop' );

			wc_get_template_part( 'content', 'product' );
		}
	}

	woocommerce_product_loop_end();

	/**
	 * Hook: woocommerce_after_shop_loop.
	 *
	 * @hooked woocommerce_pagination - 10
	 */
	do_action( 'woocommerce_after_shop_loop' );
} else {
	/**
	 * Hook: woocommerce_no_products_found.
	 *
	 * @hooked wc_no_products_found - 10
	 */
	do_action( 'woocommerce_no_products_found' );
}

/**
 * Hook: woocommerce_after_main_content.
 *
 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
 */
do_action( 'woocommerce_after_main_content' );
?>
			</div>
		</div>
		<?php if ( is_active_sidebar( 'sidebar-3' ) ) : ?>
	            <div class="col-md-4">
                    <div class="blog-sidebar">	
                        <?php dynamic_sidebar( 'sidebar-3' ); ?>
                    </div>						
                </div>					
       <?php endif;?>
<?php

/**
 * Hook: woocommerce_sidebar.
 *
 * @hooked woocommerce_get_sidebar - 10
 */
do_action( 'woocommerce_sidebar' );

//get_footer( 'shop' );
?>
		</div>
	</div>
</section>
